### Enumeration

# GtkAssistantPageType

#### Declaration

    enum Gtk.AssistantPageType

#### Description [src]

Determines the page role inside a `GtkAssistant`.

The role is used to handle buttons sensitivity and visibility.

Note that an assistant needs to end its page flow with a page of type `GTK_ASSISTANT_PAGE_CONFIRM`, `GTK_ASSISTANT_PAGE_SUMMARY` or `GTK_ASSISTANT_PAGE_PROGRESS` to be correct.

The Cancel button will only be shown if the page isn’t “committed”. See `gtk_assistant_commit()` for details.

#### Members

`GTK_ASSISTANT_PAGE_CONTENT`

  The page has regular contents. Both the Back and forward buttons will be shown.

  - Value: `0`
  - Nickname: `content`
  - Available since: 4.0
`GTK_ASSISTANT_PAGE_INTRO`

  The page contains an introduction to the assistant task. Only the Forward button will be shown if there is a next page.

  - Value: `1`
  - Nickname: `intro`
  - Available since: 4.0
`GTK_ASSISTANT_PAGE_CONFIRM`

  The page lets the user confirm or deny the changes. The Back and Apply buttons will be shown.

  - Value: `2`
  - Nickname: `confirm`
  - Available since: 4.0
`GTK_ASSISTANT_PAGE_SUMMARY`

  The page informs the user of the changes done. Only the Close button will be shown.

  - Value: `3`
  - Nickname: `summary`
  - Available since: 4.0
`GTK_ASSISTANT_PAGE_PROGRESS`

  Used for tasks that take a long time to complete, blocks the assistant until the page is marked as complete. Only the back button will be shown.

  - Value: `4`
  - Nickname: `progress`
  - Available since: 4.0
`GTK_ASSISTANT_PAGE_CUSTOM`

  Used for when other page types are not appropriate. No buttons will be shown, and the application must add its own buttons through gtk_assistant_add_action_widget().

  - Value: `5`
  - Nickname: `custom`
  - Available since: 4.0